Panda3D

- Main Page
- Packages
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Static Public Member Functions

# RenderModeAttrib Class Reference

Specifies how polygons are to be drawn. More...

Inheritance diagram for RenderModeAttrib:

List of all members.

## Public Types
enum | Mode { MUnchanged = 0, MFilled = 1, MWireframe = 2, MPoint = 3, MFilledFlat = 4 }
## Public Member Functions
int | getGeomRendering (int geom_rendering)
| Returns the union of the Geom.GeomRendering bits that will be required once this RenderModeAttrib is applied to a geom which includes the indicated geom_rendering bits.
Mode | getMode ()
| Returns the render mode.
bool | getPerspective ()
| Returns the perspective flag.
float | getThickness ()
| Returns the line width or point thickness.
## Static Public Member Functions
static int | getClassSlot ()
static TypeHandle | getClassType ()
static RenderAttrib const | make (Mode mode, float thickness)
| Constructs a new RenderModeAttrib object that specifies whether to draw polygons in the normal, filled mode, or wireframe mode, or in some other yet-to-be-defined mode.
static RenderAttrib const | make (Mode mode, float thickness, bool perspective)
| Constructs a new RenderModeAttrib object that specifies whether to draw polygons in the normal, filled mode, or wireframe mode, or in some other yet-to-be-defined mode.
static RenderAttrib const | make (Mode mode)
| Constructs a new RenderModeAttrib object that specifies whether to draw polygons in the normal, filled mode, or wireframe mode, or in some other yet-to-be-defined mode.
static RenderAttrib const | makeDefault ()
| Returns a RenderAttrib that corresponds to whatever the standard default properties for render attributes of this type ought to be.

## Detailed Description

Specifies how polygons are to be drawn.

## Member Enumeration Documentation

enum Mode

Enumerator:

  MUnchanged |
  MFilled |
  MWireframe |
  MPoint |
  MFilledFlat |

## Member Function Documentation

static int getClassSlot | ( |  | ) | `[static]`

static TypeHandle getClassType | ( |  | ) | `[static]`

Reimplemented from RenderAttrib.

int getGeomRendering | ( | int | geom_rendering | ) |

Returns the union of the Geom.GeomRendering bits that will be required once this RenderModeAttrib is applied to a geom which includes the indicated geom_rendering bits.

Mode getMode | ( |  | ) |

Returns the render mode.

bool getPerspective | ( |  | ) |

Returns the perspective flag.

When this is true, the point thickness represented by get_thickness() is actually a width in 3-d units, and the points should scale according to perspective. When it is false, the default, the point thickness is actually a width in pixels, and points are a uniform size regardless of distance from the camera.

float getThickness | ( |  | ) |

Returns the line width or point thickness.

This is only relevant when rendering points or lines, such as when the mode is M_wireframe or M_point (or when rendering actual points or lines primitives in M_polygon mode).

static RenderAttrib const make | ( | Mode | mode,
|  | float | thickness
| ) |  | `[static]`

Constructs a new RenderModeAttrib object that specifies whether to draw polygons in the normal, filled mode, or wireframe mode, or in some other yet-to-be-defined mode.

The thickness parameter specifies the thickness to be used for wireframe lines, as well as for ordinary linestrip lines; it also specifies the diameter of points. (Thick lines are presently only supported in OpenGL; but thick points are supported on either platform.)

If perspective is true, the point thickness represented is actually a width in 3-d units, and the points should scale according to perspective. When it is false, the point thickness is actually a width in pixels, and points are a uniform screen size regardless of distance from the camera.

static RenderAttrib const make | ( | Mode | mode,
|  | float | thickness,
|  | bool | perspective
| ) |  | `[static]`

Constructs a new RenderModeAttrib object that specifies whether to draw polygons in the normal, filled mode, or wireframe mode, or in some other yet-to-be-defined mode.

The thickness parameter specifies the thickness to be used for wireframe lines, as well as for ordinary linestrip lines; it also specifies the diameter of points. (Thick lines are presently only supported in OpenGL; but thick points are supported on either platform.)

If perspective is true, the point thickness represented is actually a width in 3-d units, and the points should scale according to perspective. When it is false, the point thickness is actually a width in pixels, and points are a uniform screen size regardless of distance from the camera.

static RenderAttrib const make | ( | Mode | mode | ) | `[static]`

Constructs a new RenderModeAttrib object that specifies whether to draw polygons in the normal, filled mode, or wireframe mode, or in some other yet-to-be-defined mode.

The thickness parameter specifies the thickness to be used for wireframe lines, as well as for ordinary linestrip lines; it also specifies the diameter of points. (Thick lines are presently only supported in OpenGL; but thick points are supported on either platform.)

If perspective is true, the point thickness represented is actually a width in 3-d units, and the points should scale according to perspective. When it is false, the point thickness is actually a width in pixels, and points are a uniform screen size regardless of distance from the camera.

static RenderAttrib const makeDefault | ( |  | ) | `[static]`

Returns a RenderAttrib that corresponds to whatever the standard default properties for render attributes of this type ought to be.

All Classes Namespaces Functions Variables Enumerations Enumerator Properties